Package com.avaya.clientservices.media

## Enum BfcpTransportMode

- java.lang.Object
- - java.lang.Enum<BfcpTransportMode>
  - - com.avaya.clientservices.media.BfcpTransportMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<BfcpTransportMode>`

      public enum BfcpTransportMode
      extends java.lang.Enum<BfcpTransportMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLED` |
    `TCP_ONLY` |
    `TCP_PREFERRED` |
    `UDP_ONLY` |
    `UDP_PREFERRED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BfcpTransportMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static BfcpTransportMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static BfcpTransportMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final BfcpTransportMode DISABLED

    - #### UDP_ONLY

          public static final BfcpTransportMode UDP_ONLY

    - #### TCP_ONLY

          public static final BfcpTransportMode TCP_ONLY

    - #### UDP_PREFERRED

          public static final BfcpTransportMode UDP_PREFERRED

    - #### TCP_PREFERRED

          public static final BfcpTransportMode TCP_PREFERRED

  - ### Method Detail

    - #### values

          public static BfcpTransportMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BfcpTransportMode c : BfcpTransportMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BfcpTransportMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static BfcpTransportMode fromInt​(int v)

    - #### intValue

          public int intValue()